﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using ForeningModelInterfaceLibrary;
using ForeningModelClassLibrary;

namespace WindowsPhoneForening
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
            ForeningsFasade.OpretForeningMedTestdata();
        }

        private void btnHentAfd_Click(object sender, RoutedEventArgs e)
        {
            IForening foreningen = ForeningsFasade.GetForening();
            IAfdeling[] afdelinger = foreningen.HentAlleAfdeling();
            this.lbxAfdelinger.ItemsSource = afdelinger;
        }

        private void lbxAfdelinger_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            IAfdeling afd =  lbxAfdelinger.SelectedItem as IAfdeling;
        }

    }
}